Package org.drinkless.tdlib

# Class TdApi.AnswerWebAppQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.SentWebAppMessage>
org.drinkless.tdlib.TdApi.AnswerWebAppQuery

Enclosing class:
  TdApi

public static class TdApi.AnswerWebAppQuery extends TdApi.Function<TdApi.SentWebAppMessage>
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

Returns `SentWebAppMessage`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputInlineQueryResult`
  `result`
  The result of the query.
  `String`
  `webAppQueryId`
  Identifier of the Web App query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnswerWebAppQuery()`
  Default constructor for a function, which sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.
  `AnswerWebAppQuery(String webAppQueryId, TdApi.InputInlineQueryResult result)`
  Creates a function, which sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### webAppQueryId

    public String webAppQueryId
    Identifier of the Web App query.

  - ### result

    public TdApi.InputInlineQueryResult result
    The result of the query.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AnswerWebAppQuery

    public AnswerWebAppQuery()
    Default constructor for a function, which sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

    Returns `SentWebAppMessage`

  - ### AnswerWebAppQuery

    public AnswerWebAppQuery(String webAppQueryId, TdApi.InputInlineQueryResult result)
    Creates a function, which sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

    Returns `SentWebAppMessage`

    Parameters:
      `webAppQueryId` - Identifier of the Web App query.
      `result` - The result of the query.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.SentWebAppMessage>`
    Returns:
      this.CONSTRUCTOR